/*
 * ESPRESSIF MIT License
 *
 * Copyright (c) 2018 <ESPRESSIF SYSTEMS (SHANGHAI) PTE LTD>
 *
 * Permission is hereby granted for use on all ESPRESSIF SYSTEMS products, in which case,
 * it is free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the Software is furnished
 * to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or
 * substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 */

#include <pthread.h>
#include "unity.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "audio_mem.h"
#include "esp_log.h"
#include "esp_err.h"

static const char* TAG = "AUDIO_MEM_TEST";


TEST_CASE("audio_mem", "esp-adf")
{
    esp_log_level_set("AUDIO_MEM", ESP_LOG_VERBOSE);

    ESP_LOGI(TAG, "[✓] audio_malloc,audio_callo,audio_calloc_inner, audio_inaudio memory print");
    AUDIO_MEM_SHOW(TAG);
    uint8_t* pdata = audio_malloc(1024);
    TEST_ASSERT_NOT_NULL(pdata);
    AUDIO_MEM_SHOW(TAG);
    audio_free(pdata);

    AUDIO_MEM_SHOW(TAG);
    pdata = audio_calloc(1, 2 * 1024 * 1024);
    TEST_ASSERT_NOT_NULL(pdata);
    AUDIO_MEM_SHOW(TAG);
    audio_free(pdata);

    AUDIO_MEM_SHOW(TAG);
    pdata = audio_calloc_inner(1, 1024);
    TEST_ASSERT_NOT_NULL(pdata);
    AUDIO_MEM_SHOW(TAG);
    audio_free(pdata);
    AUDIO_MEM_SHOW(TAG);
}
