# Play a file of selected format from HTTP

The demo plays either AAC, AMR, FLAC, MP3, OGG, OPUS or WAV sample file downloaded from HTTP. 

## Compatibility

| ESP32-LyraT | ESP32-LyraT-MSC |
|:-----------:|:---------------:|
| [![alt text](../../../docs/_static/esp32-lyrat-v4.2-side-small.jpg "ESP32-LyraT")](https://docs.espressif.com/projects/esp-adf/en/latest/get-started/get-started-esp32-lyrat.html) | [![alt text](../../../docs/_static/esp32-lyratd-msc-v2.2-small.jpg "ESP32-LyraTD-MSC")](https://docs.espressif.com/projects/esp-adf/en/latest/get-started/get-started-esp32-lyratd-msc.html) |
| ![alt text](../../../docs/_static/yes-button.png "Compatible") | ![alt text](../../../docs/_static/no-button.png "Not Compatible") |

## Usage

Prepare the audio board:

- Connect speakers or headphones to the board.

Configure the example:

- Select compatible audio board in `menuconfig` > `Audio HAL`.
- Set up the Wi-Fi connection by running `menuconfig` > `Example Configuration` and filling in `WiFi SSID` and `WiFi Password`.

Load and run the example:

- The audio board will first connect to the Wi-Fi.
- Then the board will start playing automatically.

## Changing the audio sample format

- Select AAC, AMR, FLAC, MP3, OGG, OPUS or WAV decoder by editing the following line:

    ```c
    #define SELECT_AAC_DECODER 1
    ```

- Load and run the example again.
